PrefabFiles = {
	"tahu",
	"tahusword"
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/tahu.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/tahu.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/tahu.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/tahu.xml" ),
	
    Asset( "IMAGE", "images/selectscreen_portraits/tahu_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/tahu_silho.xml" ),

    Asset( "IMAGE", "bigportraits/tahu.tex" ),
    Asset( "ATLAS", "bigportraits/tahu.xml" ),
	
	Asset( "IMAGE", "images/map_icons/tahu.tex" ),
	Asset( "ATLAS", "images/map_icons/tahu.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_tahu.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_tahu.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_ghost_tahu.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_ghost_tahu.xml" ),

    Asset( "IMAGE", "images/saveslot_portraits/tahusword.tex" ),
    Asset( "IMAGE", "images/selectscreen_portraits/tahusword.tex" ),
    Asset( "IMAGE", "images/selectscreen_portraits/tahusword_silho.tex" ),
    Asset( "IMAGE", "bigportraits/tahusword.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/tahusword.xml" ),
    Asset( "ATLAS", "images/selectscreen_portraits/tahusword.xml" ),
    Asset( "ATLAS", "images/selectscreen_portraits/tahusword_silho.xml" ),
    Asset( "ATLAS", "bigportraits/tahusword.xml" ),
}

local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS


--Sword
local Ingredient = GLOBAL.Ingredient
local RECIPETABS = GLOBAL.RECIPETABS
local TECH = GLOBAL.TECH
local require = GLOBAL.require


GLOBAL.STRINGS.NAMES.TAHUSWORD = "Tahu's Fiery Sword"
STRINGS.RECIPE_DESC.TAHUSWORD = "Fire Sword!"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.TAHUSWORD = "Tahu's Fiery Sword."
--Sword

-- The character select screen lines
STRINGS.CHARACTER_TITLES.tahu = "Tahu, the bionicle."
STRINGS.CHARACTER_NAMES.tahu = "Tahu"
STRINGS.CHARACTER_DESCRIPTIONS.tahu = "*Fiery sword!\n*Immune to overheating.\n*He hate cold."
STRINGS.CHARACTER_QUOTES.tahu = "\"Fire, fire, fire!\""

-- Custom speech strings
STRINGS.CHARACTERS.TAHU = require "speech_tahu"

-- The character's name as appears in-game 
STRINGS.NAMES.TAHU = "Tahu"

-- The default responses of examining the character
STRINGS.CHARACTERS.GENERIC.DESCRIBE.TAHU = 
{
	GENERIC = "It's Tahu!",
	ATTACKER = "That Tahu looks shifty...",
	MURDERER = "Murderer!",
	REVIVER = "Tahu, friend of ghosts.",
	GHOST = "Tahu could use a heart.",
}


AddMinimapAtlas("images/map_icons/tahu.xml")

-- Add mod character to mod character list. Also specify a gender. Possible genders are MALE, FEMALE, ROBOT, NEUTRAL, and PLURAL.
AddModCharacter("tahu", "ROBOT")

        local tahusword = AddRecipe("tahusword",
		{ 
			Ingredient("torch",2),
			Ingredient("twigs",2),
			Ingredient("goldnugget",4),
			Ingredient("flint",2),
		},                     
        RECIPETABS.WAR, TECH.NONE)
        tahusword.atlas = "images/inventoryimages/tahusword.xml"


AddGamePostInit(modGamePostInit)


SpawnPrefab = GLOBAL.SpawnPrefab


AddSimPostInit(SimInit)
